Index: trunk/lib/FlairCore/src/UdtSocket.cpp
===================================================================
--- trunk/lib/FlairCore/src/UdtSocket.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/UdtSocket.cpp	(revision 15)
@@ -24,128 +24,130 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-UdtSocket::UdtSocket(const Object* parent,const std::string name,bool _blockOnSend,bool _blockOnReceive):ConnectedSocket(parent,name) {
-    UDT::startup();
-    blockOnSend=_blockOnSend;
-    blockOnReceive=_blockOnReceive;
+UdtSocket::UdtSocket(const Object *parent, const std::string name,
+                     bool _blockOnSend, bool _blockOnReceive)
+    : ConnectedSocket(parent, name) {
+  UDT::startup();
+  blockOnSend = _blockOnSend;
+  blockOnReceive = _blockOnReceive;
 }
 
-UdtSocket::~UdtSocket(){
-}
+UdtSocket::~UdtSocket() {}
 
-void UdtSocket::Listen(const unsigned int port,const std::string localAddress) {
-    socket = UDT::socket(AF_INET, SOCK_DGRAM, 0);
+void UdtSocket::Listen(const unsigned int port,
+                       const std::string localAddress) {
+  socket = UDT::socket(AF_INET, SOCK_DGRAM, 0);
 
-    UDT::setsockopt(socket, 0, UDT_SNDSYN, &blockOnSend, sizeof(bool));
-    UDT::setsockopt(socket, 0, UDT_RCVSYN, &blockOnReceive, sizeof(bool));
-    bool reuse = true;
-    UDT::setsockopt(socket, 0, UDT_REUSEADDR, &reuse, sizeof(bool));
+  UDT::setsockopt(socket, 0, UDT_SNDSYN, &blockOnSend, sizeof(bool));
+  UDT::setsockopt(socket, 0, UDT_RCVSYN, &blockOnReceive, sizeof(bool));
+  bool reuse = true;
+  UDT::setsockopt(socket, 0, UDT_REUSEADDR, &reuse, sizeof(bool));
 
-    sockaddr_in my_addr;
-    my_addr.sin_family = AF_INET;
-    my_addr.sin_port = htons(port);
-    if (localAddress=="ANY") {
-        my_addr.sin_addr.s_addr=INADDR_ANY;
-    } else {
-        inet_aton(localAddress.c_str(),&(my_addr.sin_addr));
-    }
-    memset(&(my_addr.sin_zero), '\0', 8);
+  sockaddr_in my_addr;
+  my_addr.sin_family = AF_INET;
+  my_addr.sin_port = htons(port);
+  if (localAddress == "ANY") {
+    my_addr.sin_addr.s_addr = INADDR_ANY;
+  } else {
+    inet_aton(localAddress.c_str(), &(my_addr.sin_addr));
+  }
+  memset(&(my_addr.sin_zero), '\0', 8);
 
-    if (UDT::ERROR == UDT::bind(socket, (sockaddr*)&my_addr, sizeof(my_addr))) {
-      Err("bind, %s\n",UDT::getlasterror().getErrorMessage());
-    }
+  if (UDT::ERROR == UDT::bind(socket, (sockaddr *)&my_addr, sizeof(my_addr))) {
+    Err("bind, %s\n", UDT::getlasterror().getErrorMessage());
+  }
 
-    UDT::listen(socket, 1);
+  UDT::listen(socket, 1);
 }
 
 UdtSocket *UdtSocket::Accept(Time timeout) {
-    // TIMEOUT UNSUPPORTED!!
-    UdtSocket *acceptedSocket=new UdtSocket(this->Parent(),this->ObjectName());
-    acceptedSocket->blockOnSend=this->blockOnSend;
-    acceptedSocket->blockOnReceive=this->blockOnReceive;
+  // TIMEOUT UNSUPPORTED!!
+  UdtSocket *acceptedSocket = new UdtSocket(this->Parent(), this->ObjectName());
+  acceptedSocket->blockOnSend = this->blockOnSend;
+  acceptedSocket->blockOnReceive = this->blockOnReceive;
 
-    sockaddr_in their_addr;
-    int namelen = sizeof(their_addr);
+  sockaddr_in their_addr;
+  int namelen = sizeof(their_addr);
 
-    if ((acceptedSocket->socket = UDT::accept(socket, (sockaddr*)&their_addr, &namelen))==UDT::INVALID_SOCK) {
-        Err("accept: %s, code %i\n",UDT::getlasterror().getErrorMessage(),UDT::getlasterror().getErrorCode());
-    }
+  if ((acceptedSocket->socket = UDT::accept(socket, (sockaddr *)&their_addr,
+                                            &namelen)) == UDT::INVALID_SOCK) {
+    Err("accept: %s, code %i\n", UDT::getlasterror().getErrorMessage(),
+        UDT::getlasterror().getErrorCode());
+  }
 
-    return acceptedSocket;
+  return acceptedSocket;
 }
 
-bool UdtSocket::Connect(const unsigned int port,const std::string distantAddress,Time timeout) {
-    bool success=true;
-    socket=UDT::socket(AF_INET, SOCK_DGRAM, 0);
+bool UdtSocket::Connect(const unsigned int port,
+                        const std::string distantAddress, Time timeout) {
+  bool success = true;
+  socket = UDT::socket(AF_INET, SOCK_DGRAM, 0);
 
-    UDT::setsockopt(socket, 0, UDT_SNDSYN, &blockOnSend, sizeof(bool));
-    UDT::setsockopt(socket, 0, UDT_RCVSYN, &blockOnReceive, sizeof(bool));
-    bool reuse = true;
-    UDT::setsockopt(socket, 0, UDT_REUSEADDR, &reuse, sizeof(bool));
+  UDT::setsockopt(socket, 0, UDT_SNDSYN, &blockOnSend, sizeof(bool));
+  UDT::setsockopt(socket, 0, UDT_RCVSYN, &blockOnReceive, sizeof(bool));
+  bool reuse = true;
+  UDT::setsockopt(socket, 0, UDT_REUSEADDR, &reuse, sizeof(bool));
 
-    sockaddr_in serv_addr;
-    serv_addr.sin_family = AF_INET;
-    serv_addr.sin_port = htons(short(port));
-    if (inet_pton(AF_INET, distantAddress.c_str(), &serv_addr.sin_addr) <= 0) {
-        printf("incorrect network address.");
-        success=false;
-    }
-    memset(&(serv_addr.sin_zero), '\0', 8);
+  sockaddr_in serv_addr;
+  serv_addr.sin_family = AF_INET;
+  serv_addr.sin_port = htons(short(port));
+  if (inet_pton(AF_INET, distantAddress.c_str(), &serv_addr.sin_addr) <= 0) {
+    printf("incorrect network address.");
+    success = false;
+  }
+  memset(&(serv_addr.sin_zero), '\0', 8);
 
-    if (UDT::ERROR == UDT::connect(socket, (sockaddr*)&serv_addr, sizeof(serv_addr))) {
-        success=false;
-    }
-    if (!success) {
-        UDT::close(socket);
-        return false;
-    } else return true;
+  if (UDT::ERROR ==
+      UDT::connect(socket, (sockaddr *)&serv_addr, sizeof(serv_addr))) {
+    success = false;
+  }
+  if (!success) {
+    UDT::close(socket);
+    return false;
+  } else
+    return true;
 }
 
-ssize_t UdtSocket::SendMessage(const char* buffer,size_t bufferSize,Time timeout){
-    int udtTimeout=timeout;
-    if (blockOnSend) {
-        if(UDT::setsockopt(socket, 0, UDT_SNDTIMEO, &udtTimeout, sizeof(udtTimeout))!=0) Err("error UDT_SNDTIMEO %s\n", UDT::getlasterror().getErrorMessage());
-    }
-    ssize_t bytesSent=UDT::sendmsg(socket, buffer, bufferSize, -1,true);
+ssize_t UdtSocket::SendMessage(const char *buffer, size_t bufferSize,
+                               Time timeout) {
+  int udtTimeout = timeout;
+  if (blockOnSend) {
+    if (UDT::setsockopt(socket, 0, UDT_SNDTIMEO, &udtTimeout,
+                        sizeof(udtTimeout)) != 0)
+      Err("error UDT_SNDTIMEO %s\n", UDT::getlasterror().getErrorMessage());
+  }
+  ssize_t bytesSent = UDT::sendmsg(socket, buffer, bufferSize, -1, true);
 
-    return bytesSent;
+  return bytesSent;
 }
 
-ssize_t UdtSocket::RecvMessage(char* buffer,size_t bufferSize,Time timeout){
-    int udtTimeout=timeout;
-    if (blockOnReceive) {
-        if(UDT::setsockopt(socket, 0, UDT_RCVTIMEO, &udtTimeout, sizeof(udtTimeout))!=0) Err("error UDT_RCVTIMEO %s\n", UDT::getlasterror().getErrorMessage());
-    }
-    ssize_t bytesRead= UDT::recvmsg(socket,buffer,bufferSize);
+ssize_t UdtSocket::RecvMessage(char *buffer, size_t bufferSize, Time timeout) {
+  int udtTimeout = timeout;
+  if (blockOnReceive) {
+    if (UDT::setsockopt(socket, 0, UDT_RCVTIMEO, &udtTimeout,
+                        sizeof(udtTimeout)) != 0)
+      Err("error UDT_RCVTIMEO %s\n", UDT::getlasterror().getErrorMessage());
+  }
+  ssize_t bytesRead = UDT::recvmsg(socket, buffer, bufferSize);
 
-/*
-    if(bytesRead<0) {
-        if(UDT::getlasterror().getErrorCode()==CUDTException::ECONNLOST) {
-            connection_lost=true;
-        }
-    }
-*/
-    return bytesRead;
+  /*
+      if(bytesRead<0) {
+          if(UDT::getlasterror().getErrorCode()==CUDTException::ECONNLOST) {
+              connection_lost=true;
+          }
+      }
+  */
+  return bytesRead;
 }
 
-uint16_t UdtSocket::NetworkToHost16(uint16_t data) {
-    return ntohs(data);
-}
+uint16_t UdtSocket::NetworkToHost16(uint16_t data) { return ntohs(data); }
 
-uint16_t UdtSocket::HostToNetwork16(uint16_t data) {
-    return htons(data);
-}
+uint16_t UdtSocket::HostToNetwork16(uint16_t data) { return htons(data); }
 
-uint32_t UdtSocket::NetworkToHost32(uint32_t data) {
-    return ntohl(data);
-}
+uint32_t UdtSocket::NetworkToHost32(uint32_t data) { return ntohl(data); }
 
-uint32_t UdtSocket::HostToNetwork32(uint32_t data) {
-    return htonl(data);
-}
+uint32_t UdtSocket::HostToNetwork32(uint32_t data) { return htonl(data); }
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/UdtSocket.h
===================================================================
--- trunk/lib/FlairCore/src/UdtSocket.h	(revision 14)
+++ trunk/lib/FlairCore/src/UdtSocket.h	(revision 15)
@@ -18,33 +18,34 @@
 #include <ConnectedSocket.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class UdtSocket
-    *
-    * \brief Class encapsulating a UDT socket
-    *
-    */
-    class UdtSocket:public ConnectedSocket {
-    public:
-        UdtSocket(const Object* parent,const std::string name,bool blockOnSend=false,bool blockOnReceive=true);
-        ~UdtSocket();
-        void Listen(const unsigned int port,const std::string localAddress="ANY");
-        UdtSocket *Accept(Time timeout); //should throw an exception if not a listening socket
-        bool Connect(const unsigned int port,const std::string distantAddress,Time timeout); // /!\ timeout is ignored
-        ssize_t SendMessage(const char* message,size_t message_len,Time timeout);
-        ssize_t RecvMessage(char* buf,size_t buf_len,Time timeout);
+namespace flair {
+namespace core {
+/*! \class UdtSocket
+*
+* \brief Class encapsulating a UDT socket
+*
+*/
+class UdtSocket : public ConnectedSocket {
+public:
+  UdtSocket(const Object *parent, const std::string name,
+            bool blockOnSend = false, bool blockOnReceive = true);
+  ~UdtSocket();
+  void Listen(const unsigned int port, const std::string localAddress = "ANY");
+  UdtSocket *
+  Accept(Time timeout); // should throw an exception if not a listening socket
+  bool Connect(const unsigned int port, const std::string distantAddress,
+               Time timeout); // /!\ timeout is ignored
+  ssize_t SendMessage(const char *message, size_t message_len, Time timeout);
+  ssize_t RecvMessage(char *buf, size_t buf_len, Time timeout);
 
-        uint16_t NetworkToHost16(uint16_t data);
-        uint16_t HostToNetwork16(uint16_t data);
-        uint32_t NetworkToHost32(uint32_t data);
-        uint32_t HostToNetwork32(uint32_t data);
+  uint16_t NetworkToHost16(uint16_t data);
+  uint16_t HostToNetwork16(uint16_t data);
+  uint32_t NetworkToHost32(uint32_t data);
+  uint32_t HostToNetwork32(uint32_t data);
 
-    private:
-        UDTSOCKET socket;
-        bool blockOnSend;
-        bool blockOnReceive;
-    };
+private:
+  UDTSOCKET socket;
+  bool blockOnSend;
+  bool blockOnReceive;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/Unix_I2cPort.cpp
===================================================================
--- trunk/lib/FlairCore/src/Unix_I2cPort.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Unix_I2cPort.cpp	(revision 15)
@@ -18,64 +18,50 @@
 #include "Unix_I2cPort.h"
 #include <errno.h>
-#include <fcntl.h>   /* File control definitions */
+#include <fcntl.h> /* File control definitions */
 #include <unistd.h>
 #include <sys/ioctl.h>
 #include <linux/i2c-dev.h>
 
-
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-Unix_I2cPort::Unix_I2cPort(const Object* parent,string name,string device) : I2cPort(parent,name)
-{
-    //open port
-    fd = open( device.c_str(), O_RDWR );
-	if (fd == -1)
-	{
-		Err("open_port: Unable to open %s\n",device.c_str());
-	}
+Unix_I2cPort::Unix_I2cPort(const Object *parent, string name, string device)
+    : I2cPort(parent, name) {
+  // open port
+  fd = open(device.c_str(), O_RDWR);
+  if (fd == -1) {
+    Err("open_port: Unable to open %s\n", device.c_str());
+  }
 }
 
-Unix_I2cPort::~Unix_I2cPort()
-{
-    close(fd);
+Unix_I2cPort::~Unix_I2cPort() { close(fd); }
+
+void Unix_I2cPort::SetRxTimeout(core::Time timeout_ns) {
+  Warn("not implemented\n");
 }
 
-void Unix_I2cPort::SetRxTimeout(core::Time timeout_ns)
-{
-    Warn("not implemented\n");
+void Unix_I2cPort::SetTxTimeout(core::Time timeout_ns) {
+  Warn("not implemented\n");
 }
 
-void Unix_I2cPort::SetTxTimeout(core::Time timeout_ns)
-{
-    Warn("not implemented\n");
+int Unix_I2cPort::SetSlave(uint16_t address) {
+  int err = ioctl(fd, I2C_SLAVE_FORCE, address);
+  if (err < 0) {
+    Err("Failed to set slave address\n");
+  }
+
+  return err;
 }
 
-int Unix_I2cPort::SetSlave(uint16_t address)
-{
-    int err=ioctl( fd, I2C_SLAVE_FORCE, address);
-	if( err < 0 )
-    {
-        Err("Failed to set slave address\n");
-    }
-
-	return err;
+ssize_t Unix_I2cPort::Write(const void *buf, size_t nbyte) {
+  return write(fd, buf, nbyte);
 }
 
-ssize_t Unix_I2cPort::Write(const void *buf,size_t nbyte)
-{
-    return write(fd,buf, nbyte);
-}
-
-ssize_t Unix_I2cPort::Read(void *buf,size_t nbyte)
-{
-    return read(fd,buf, nbyte);
+ssize_t Unix_I2cPort::Read(void *buf, size_t nbyte) {
+  return read(fd, buf, nbyte);
 }
 
 } // end namespace core
 } // end namespace flair
-
Index: trunk/lib/FlairCore/src/Unix_I2cPort.h
===================================================================
--- trunk/lib/FlairCore/src/Unix_I2cPort.h	(revision 14)
+++ trunk/lib/FlairCore/src/Unix_I2cPort.h	(revision 15)
@@ -16,84 +16,81 @@
 #include <I2cPort.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class Unix_I2cPort
-    *
-    * \brief Class for unix serial port
-    *
-    */
-    class Unix_I2cPort: public I2cPort
-    {
+namespace flair {
+namespace core {
+/*! \class Unix_I2cPort
+*
+* \brief Class for unix serial port
+*
+*/
+class Unix_I2cPort : public I2cPort {
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an unix i2c port
-            *
-            * \param parent parent
-            * \param name name
-            * \param device serial device (ex /dev/i2c-1)
-            */
-            Unix_I2cPort(const Object* parent,std::string port_name,std::string device);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an unix i2c port
+  *
+  * \param parent parent
+  * \param name name
+  * \param device serial device (ex /dev/i2c-1)
+  */
+  Unix_I2cPort(const Object *parent, std::string port_name, std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Unix_I2cPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Unix_I2cPort();
 
-            /*!
-            * \brief Set slave's address
-            *
-            * This method need to be called before any communication.
-            *
-            * \param address slave's address
-            */
-            int SetSlave(uint16_t address);
+  /*!
+  * \brief Set slave's address
+  *
+  * This method need to be called before any communication.
+  *
+  * \param address slave's address
+  */
+  int SetSlave(uint16_t address);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting datas.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting datas.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Set TX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetTxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set TX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetTxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-        private:
-            int fd;
-    };
+private:
+  int fd;
+};
 } // end namespace core
 } // end namespace flair
Index: trunk/lib/FlairCore/src/Unix_SerialPort.cpp
===================================================================
--- trunk/lib/FlairCore/src/Unix_SerialPort.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Unix_SerialPort.cpp	(revision 15)
@@ -17,131 +17,113 @@
 
 #include "Unix_SerialPort.h"
-#include <fcntl.h>   /* File control definitions */
+#include <fcntl.h> /* File control definitions */
 #include <unistd.h>
 
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-Unix_SerialPort::Unix_SerialPort(const Object* parent,string name,string device) : SerialPort(parent,name)
-{
-    //open port
-	fd = open(device.c_str(), O_RDWR | O_NOCTTY);// |O_NDELAY|O_NONBLOCK);
-	if (fd == -1)
-	{
-		Err("open_port: Unable to open %s\n",device.c_str());
-	}
-	//fcntl(fd, F_SETFL, 0); //read calls are non blocking
+Unix_SerialPort::Unix_SerialPort(const Object *parent, string name,
+                                 string device)
+    : SerialPort(parent, name) {
+  // open port
+  fd = open(device.c_str(), O_RDWR | O_NOCTTY); // |O_NDELAY|O_NONBLOCK);
+  if (fd == -1) {
+    Err("open_port: Unable to open %s\n", device.c_str());
+  }
+  // fcntl(fd, F_SETFL, 0); //read calls are non blocking
 
-	//Get the current options for the port
+  // Get the current options for the port
 
-	tcgetattr(fd, &options);
-	//Set the baud rates to 115200
-	cfsetispeed(&options, B115200);
-	cfsetospeed(&options, B115200);
+  tcgetattr(fd, &options);
+  // Set the baud rates to 115200
+  cfsetispeed(&options, B115200);
+  cfsetospeed(&options, B115200);
 
-	options.c_cflag |= (CLOCAL | CREAD); //Enable the receiver and set local mode
-	options.c_iflag = 0; //clear input options
-	options.c_lflag=0; //clear local options
-	options.c_oflag &= ~OPOST; //clear output options (raw output)
+  options.c_cflag |= (CLOCAL | CREAD); // Enable the receiver and set local mode
+  options.c_iflag = 0;                 // clear input options
+  options.c_lflag = 0;                 // clear local options
+  options.c_oflag &= ~OPOST;           // clear output options (raw output)
 
-	//Set the new options for the port
-    options.c_cc[VTIME] = 0;
-    options.c_cc[VMIN] = 1;
-	FlushInput();
-	tcsetattr(fd, TCSANOW, &options);
+  // Set the new options for the port
+  options.c_cc[VTIME] = 0;
+  options.c_cc[VMIN] = 1;
+  FlushInput();
+  tcsetattr(fd, TCSANOW, &options);
 }
 
-Unix_SerialPort::~Unix_SerialPort()
-{
-    close(fd);
+Unix_SerialPort::~Unix_SerialPort() { close(fd); }
+
+void Unix_SerialPort::SetBaudrate(int baudrate) {
+  // set port options
+  struct termios options;
+  // Get the current options for the port
+  tcgetattr(fd, &options);
+  // Set the baud rates to 115200
+
+  switch (baudrate) {
+  case 1200:
+    cfsetispeed(&options, B1200);
+    cfsetospeed(&options, B1200);
+    break;
+  case 2400:
+    cfsetispeed(&options, B2400);
+    cfsetospeed(&options, B2400);
+    break;
+  case 4800:
+    cfsetispeed(&options, B4800);
+    cfsetospeed(&options, B4800);
+    break;
+  case 9600:
+    cfsetispeed(&options, B9600);
+    cfsetospeed(&options, B9600);
+    break;
+  case 19200:
+    cfsetispeed(&options, B19200);
+    cfsetospeed(&options, B19200);
+    break;
+  case 38400:
+    cfsetispeed(&options, B38400);
+    cfsetospeed(&options, B38400);
+    break;
+  case 115200:
+    cfsetispeed(&options, B115200);
+    cfsetospeed(&options, B115200);
+    break;
+  case 460800:
+    cfsetispeed(&options, B460800);
+    cfsetospeed(&options, B460800);
+    break;
+  case 921600:
+    cfsetispeed(&options, B921600);
+    cfsetospeed(&options, B921600);
+    break;
+  default:
+    Err("unsupported baudrate\n");
+  }
+  tcsetattr(fd, TCSANOW, &options);
+  FlushInput();
 }
 
-void Unix_SerialPort::SetBaudrate(int baudrate)
-{
-    //set port options
-	struct termios options;
-	//Get the current options for the port
-	tcgetattr(fd, &options);
-	//Set the baud rates to 115200
+void Unix_SerialPort::SetRxTimeout(core::Time timeout_ns) {}
 
-	switch(baudrate)
-	{
-	    case 1200:
-            cfsetispeed(&options, B1200);
-            cfsetospeed(&options, B1200);
-            break;
-        case 2400:
-            cfsetispeed(&options, B2400);
-            cfsetospeed(&options, B2400);
-            break;
-        case 4800:
-            cfsetispeed(&options, B4800);
-            cfsetospeed(&options, B4800);
-            break;
-        case 9600:
-            cfsetispeed(&options, B9600);
-            cfsetospeed(&options, B9600);
-            break;
-        case 19200:
-            cfsetispeed(&options, B19200);
-            cfsetospeed(&options, B19200);
-            break;
-        case 38400:
-            cfsetispeed(&options, B38400);
-            cfsetospeed(&options, B38400);
-            break;
-        case 115200:
-            cfsetispeed(&options, B115200);
-            cfsetospeed(&options, B115200);
-            break;
-        case 460800:
-            cfsetispeed(&options, B460800);
-            cfsetospeed(&options, B460800);
-            break;
-        case 921600:
-            cfsetispeed(&options, B921600);
-            cfsetospeed(&options, B921600);
-            break;
-        default:
-            Err("unsupported baudrate\n");
-	}
-	tcsetattr(fd, TCSANOW, &options);
-	FlushInput();
+void Unix_SerialPort::FlushInput(void) { tcflush(fd, TCIFLUSH); }
 
+ssize_t Unix_SerialPort::Write(const void *buf, size_t nbyte) {
+  return write(fd, buf, nbyte);
 }
 
-void Unix_SerialPort::SetRxTimeout(core::Time timeout_ns)
-{
+ssize_t Unix_SerialPort::Read(void *buf, size_t nbyte) {
+  if (options.c_cc[VMIN] != nbyte) {
+    tcgetattr(fd, &options); // bug if not called?
+    options.c_cc[VTIME] = 0;
+    options.c_cc[VMIN] = nbyte;
+    tcsetattr(fd, TCSANOW, &options);
+  }
 
-}
-
-void Unix_SerialPort::FlushInput(void)
-{
-    tcflush(fd, TCIFLUSH);
-}
-
-ssize_t Unix_SerialPort::Write(const void *buf,size_t nbyte)
-{
-    return write(fd, buf, nbyte);
-}
-
-ssize_t Unix_SerialPort::Read(void *buf,size_t nbyte)
-{
-    if(options.c_cc[VMIN] != nbyte)
-    {
-        tcgetattr(fd, &options);//bug if not called?
-        options.c_cc[VTIME] = 0;
-        options.c_cc[VMIN] = nbyte;
-        tcsetattr(fd, TCSANOW, &options);
-    }
-
-    return read(fd, buf, nbyte);
+  return read(fd, buf, nbyte);
 }
 
 } // end namespace core
 } // end namespace flair
-
Index: trunk/lib/FlairCore/src/Unix_SerialPort.h
===================================================================
--- trunk/lib/FlairCore/src/Unix_SerialPort.h	(revision 14)
+++ trunk/lib/FlairCore/src/Unix_SerialPort.h	(revision 15)
@@ -17,82 +17,80 @@
 #include <termios.h> /* POSIX terminal control definitions */
 
-namespace flair
-{
-namespace core
-{
-    /*! \class RTDM_I2cPort
-    *
-    * \brief Class for unix serial port
-    *
-    */
-    class Unix_SerialPort: public SerialPort
-    {
+namespace flair {
+namespace core {
+/*! \class RTDM_I2cPort
+*
+* \brief Class for unix serial port
+*
+*/
+class Unix_SerialPort : public SerialPort {
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an unix serial port, with the following default values: \n
-            * - 115200bps baudrate
-            *
-            * \param parent parent
-            * \param name name
-            * \param device serial device (ex rtser1)
-            */
-            Unix_SerialPort(const Object* parent,std::string port_name,std::string device);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an unix serial port, with the following default values: \n
+  * - 115200bps baudrate
+  *
+  * \param parent parent
+  * \param name name
+  * \param device serial device (ex rtser1)
+  */
+  Unix_SerialPort(const Object *parent, std::string port_name,
+                  std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Unix_SerialPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Unix_SerialPort();
 
-            /*!
-            * \brief Set baudrate
-            *
-            * \param baudrate baudrate
-            *
-            */
-            void SetBaudrate(int baudrate);
+  /*!
+  * \brief Set baudrate
+  *
+  * \param baudrate baudrate
+  *
+  */
+  void SetBaudrate(int baudrate);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting datas.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting datas.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-            /*!
-            * \brief Flush input datas
-            *
-            */
-            void FlushInput(void);
+  /*!
+  * \brief Flush input datas
+  *
+  */
+  void FlushInput(void);
 
-        private:
-            int fd;
-            struct termios options;
-    };
+private:
+  int fd;
+  struct termios options;
+};
 } // end namespace core
 } // end namespace flair
Index: trunk/lib/FlairCore/src/Vector2D.cpp
===================================================================
--- trunk/lib/FlairCore/src/Vector2D.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Vector2D.cpp	(revision 15)
@@ -20,87 +20,85 @@
 #include <math.h>
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-Vector2D::Vector2D(float inX,float inY): x(inX),y(inY) {
+Vector2D::Vector2D(float inX, float inY) : x(inX), y(inY) {}
+
+Vector2D::~Vector2D() {}
+
+Vector2D &Vector2D::operator=(const Vector2D &vector) {
+  x = vector.x;
+  y = vector.y;
+  return (*this);
 }
 
-Vector2D::~Vector2D() {
-
+Vector2D operator+(const Vector2D &vectorA, const Vector2D &vectorB) {
+  return Vector2D(vectorA.x + vectorB.x, vectorA.y + vectorB.y);
 }
 
-Vector2D &Vector2D::operator=(const Vector2D &vector) {
-    x=vector.x;
-    y=vector.y;
-    return (*this);
+Vector2D operator-(const Vector2D &vectorA, const Vector2D &vectorB) {
+  return Vector2D(vectorA.x - vectorB.x, vectorA.y - vectorB.y);
 }
 
-Vector2D operator+ (const Vector2D &vectorA,const Vector2D &vectorB) {
-    return Vector2D(vectorA.x + vectorB.x,vectorA.y + vectorB.y);
+Vector2D operator/(const Vector2D &vector, float coeff) {
+  if (coeff != 0) {
+    return Vector2D(vector.x / coeff, vector.y / coeff);
+  } else {
+    return Vector2D(0, 0);
+  }
 }
 
-Vector2D operator- (const Vector2D &vectorA,const Vector2D  &vectorB) {
-    return Vector2D(vectorA.x - vectorB.x,vectorA.y - vectorB.y);
+Vector2D operator*(const Vector2D &vector, float coeff) {
+  return Vector2D(vector.x * coeff, vector.y * coeff);
 }
 
-Vector2D operator/ (const Vector2D &vector, float coeff) {
-    if(coeff!=0) {
-        return Vector2D(vector.x/ coeff,vector.y/ coeff);
-    } else {
-        return Vector2D(0,0);
-    }
-}
-
-Vector2D operator * (const Vector2D &vector, float coeff) {
-    return Vector2D(vector.x * coeff,vector.y * coeff);
-}
-
-Vector2D operator * (float coeff,const Vector2D &vector) {
-    return Vector2D(vector.x * coeff,vector.y * coeff);
+Vector2D operator*(float coeff, const Vector2D &vector) {
+  return Vector2D(vector.x * coeff, vector.y * coeff);
 }
 
 void Vector2D::Rotate(float value) {
-    float xTmp;
-    xTmp=x*cosf(value)-y*sinf(value);
-    y=x*sinf(value)+y*cosf(value);
-    x=xTmp;
+  float xTmp;
+  xTmp = x * cosf(value) - y * sinf(value);
+  y = x * sinf(value) + y * cosf(value);
+  x = xTmp;
 }
 
-void Vector2D::RotateDeg(float value) {
-    Rotate(Euler::ToRadian(value));
+void Vector2D::RotateDeg(float value) { Rotate(Euler::ToRadian(value)); }
+
+float Vector2D::GetNorm(void) const { return sqrt(x * x + y * y); }
+
+void Vector2D::Normalize(void) {
+  float n = GetNorm();
+  if (n != 0) {
+    x = x / n;
+    y = y / n;
+  }
 }
 
-float Vector2D::GetNorm(void) const {
-    return sqrt(x*x+y*y);
+void Vector2D::Saturate(Vector2D min, Vector2D max) {
+  if (x < min.x)
+    x = min.x;
+  if (x > max.x)
+    x = max.x;
+
+  if (y < min.y)
+    y = min.y;
+  if (y > max.y)
+    y = max.y;
 }
 
-void Vector2D::Normalize(void) {
-    float n=GetNorm();
-    if(n!=0) {
-        x=x/n;
-        y=y/n;
-    }
-}
-
-void Vector2D::Saturate(Vector2D min,Vector2D max) {
-    if(x<min.x) x=min.x;
-    if(x>max.x) x=max.x;
-
-    if(y<min.y) y=min.y;
-    if(y>max.y) y=max.y;
-}
-
-void Vector2D::Saturate(float min,float max) {
-    Saturate(Vector2D(min,min),Vector2D(max,max));
+void Vector2D::Saturate(float min, float max) {
+  Saturate(Vector2D(min, min), Vector2D(max, max));
 }
 
 void Vector2D::Saturate(const Vector2D &value) {
-    float x=fabs(value.x);
-    float y=fabs(value.y);
-    Saturate(Vector2D(-x,-y),Vector2D(x,y));
+  float x = fabs(value.x);
+  float y = fabs(value.y);
+  Saturate(Vector2D(-x, -y), Vector2D(x, y));
 }
 
 void Vector2D::Saturate(float value) {
-    float sat=fabs(value);
-    Saturate(Vector2D(-sat,-sat),Vector2D(sat,sat));
+  float sat = fabs(value);
+  Saturate(Vector2D(-sat, -sat), Vector2D(sat, sat));
 }
 
